Parser.Node (Hadoop 0.20.2-cdh3u5 API)
Date: 2012-10-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.join
Class Parser.Node

    java.lang.Object
      org.apache.hadoop.mapred.join.Parser.Node

All Implemented Interfaces:
  InputFormat, ComposableInputFormat

Enclosing class:
  Parser

    public abstract static class Parser.Node

extends Object
implements ComposableInputFormat

Field Summary
`protected Class<? extends WritableComparator>` | `cmpcl`
`protected int` | `id`
`protected String` | `ident`
`protected static Map<String,Constructor<? extends ComposableRecordReader>>` | `rrCstrMap`

Constructor Summary
`protected` | `Parser.Node(String ident)`

Method Summary
`protected static void` | `addIdentifier(String ident, Class<?>[] mcstrSig, Class<? extends Parser.Node> nodetype, Class<? extends ComposableRecordReader> cl)` For a given identifier, add a mapping to the nodetype for the parse tree and to the ComposableRecordReader to be created, including the formals required to invoke the constructor.
`protected void` | `setID(int id)`
`protected void` | `setKeyComparator(Class<? extends WritableComparator> cmpcl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.mapred.join.ComposableInputFormat
`getRecordReader`

Methods inherited from interface org.apache.hadoop.mapred.InputFormat
`getSplits`

Field Detail

### rrCstrMap

    protected static final Map<String,Constructor<? extends ComposableRecordReader>> rrCstrMap

### id

    protected int id

### ident

    protected String ident

### cmpcl

    protected Class<? extends WritableComparator> cmpcl

Constructor Detail

### Parser.Node

    protected Parser.Node(String ident)

Method Detail

### addIdentifier

    protected static void addIdentifier(String ident,
                                        Class<?>[] mcstrSig,
                                        Class<? extends Parser.Node> nodetype,
                                        Class<? extends ComposableRecordReader> cl)
                                 throws NoSuchMethodException

  For a given identifier, add a mapping to the nodetype for the parse tree and to the ComposableRecordReader to be created, including the formals required to invoke the constructor. The nodetype and constructor signature should be filled in from the child node.

  Throws:
    `NoSuchMethodException`

### setID

    protected void setID(int id)

### setKeyComparator

    protected void setKeyComparator(Class<? extends WritableComparator> cmpcl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation